-- Coroutine that does all the cutscene magic.
-- This invloves stuff like walking, jumping, displaying text boxes, etc.
local function onBegin()
    getRoom().Camera.Position = player.Position + vector2(130, -40)
    walkTo(500)
    enableMovement()
    wait(10)
end

-- Function, no yielding actions allowed.
-- That means no walking, waiting etc.
-- Only "clean up" actions.
local function onEnd(level, wasSkipped)
    if wasSkipped then
      teleportTo(771, 1104)
      enableMovement()
      getFirstEntity("MoveBlock"):RemoveSelf()
    end
end

return onBegin, onEnd